Get Training Session
curl --request GET \
--url https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_name": "<string>",
"state": "pending",
"current_segment": 123,
"last_command_sequence": 123,
"cleanup_status": "not_required",
"cleanup_attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resumed_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resume_restored_at": "2023-11-07T05:31:56Z",
"warm_started_from_checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warm_start_restored_at": "2023-11-07T05:31:56Z",
"cleanup_error": "<string>",
"checkpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"format": "pytorch-state.v1",
"status": "uploading",
"epoch": 123,
"global_step": 123,
"segment": 123,
"created_at": "2023-11-07T05:31:56Z",
"recovery_status": "not_eligible",
"metrics": {},
"primary_metric": {},
"is_active": false,
"state_sha256": "<string>",
"state_size_bytes": 123,
"committed_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"recovery_expires_at": "2023-11-07T05:31:56Z"
}
],
"commands": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 123,
"action": "continue",
"status": "pending",
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detail": "<string>",
"runtime_overrides": {},
"applied_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}training-checkpoints
Get Training Session
GET
/
pipelines
/
{pipeline_id}
/
runs
/
{run_id}
/
training
/
{job_name}
/
Get Training Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Available options:
pending, running, paused, completed, failed, cancelled Available options:
not_required, pending, in_progress, retained, completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes